#pragma once

#include <QDialog>
#include "ui_FormVertexBuilder.h"

#include <LibQtGeoViewerCore/SceneMain.h>


class FormVertexBuilder : public QDialog
{
	Q_OBJECT

public:
	FormVertexBuilder(QWidget *parent = 0);
	~FormVertexBuilder();

	void CreateVertex(SceneMain& scene);

protected:
	void keyPressEvent(QKeyEvent *e);

private slots:
	void on_buttonBox_accepted();
	void on_buttonBox_rejected();

	void on_pushClear_clicked();

private:
	Ui::FormVertexBuilder ui;
};
